--- title: "Get all VM instances" slug: "get-all-vm-instances" tags: ["Product Usage", "vIPS 10.1.10"] updated: 2026-09-11T20:35:31Z published: 2026-09-11T20:35:31Z canonical: "docs.trellix.com/get-all-vm-instances" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all VM instances This URL gets all the virtual machine instances. ## Resource URL GET /vmgroup/vms ## Request Parameters Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | vmgroupid | VM group ID. If specified, it gets all the VMs that belong to the VM group. | number | No | | protected | If set to true, it gets the protected VMs. If set to false, it gets unprotected VMs. If no value is specified, it gets both protected and unprotected VMs. | string | No | | clusterName | Cluster name. Gets VMs that belong to the specified cluster | string | No | | controllerName | Controller name. Gets VMs that belong to the specified Controller. | string | No | | agentType | If set to vm, it gets the VMs on which the Probe is installed. If set to sensor, it gets the Sensor instances on which the Probe is installed. | string | No | ## Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | success | Indicates if the GET operation is successful. Value is set to true if the GET operation is successful. Value is set to false if the GET operation is not successful. | string | | msg | Not applicable | Not applicable | | errMsg | Not applicable | Not applicable | | domainName | Not applicable | Not applicable | | data | Not applicable | Not applicable | ## Example **Request** GET [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup/vms](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup/vms) **Response** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": null } ```